import { fail, redirect } from '@sveltejs/kit';

export async function load({ cookies }) {
	if (cookies.get("mToken")) {
		redirect(302, '/emotes');
	}
}

export const actions = {
	default: async ({ cookies, request }) => {
		if (cookies.get("mToken")) {
			redirect(302, '/emotes');
		}

		const data = await request.formData();
		const token = data.get("token");
		const homeserver = data.get("hs");
		
		if(!homeserver || !token) return fail(400, "Invalid credentials");

	
		cookies.set('mToken', token, { path: "/" });
		cookies.set('hs', homeserver, { path: "/" });

		return redirect(302, '/emotes')
	}
};